## org.jboss.jmx.client
Interface ConnectorFactoryImpl.IConnectorTester

All Known Implementing Classes:
  ConnectorFactoryImpl.JBossConnectorTester

Enclosing class:
  ConnectorFactoryImpl

public static interface ConnectorFactoryImpl.IConnectorTester

Interface defined a Connector Tester to verify JMX Connectors based on the information delivered by a JNDI server

Author:
  Andreas "Mad" Schaefer (andreas.schaefer@madplanet.com)

Method Summary
`ConnectorFactoryImpl.ConnectorName` `check(java.lang.String pName, java.lang.Class pClass)` Checks a given JNDI entry if it is a valid JMX Connector

Method Detail

### check

    public ConnectorFactoryImpl.ConnectorName check(java.lang.String pName,
                                                    java.lang.Class pClass)

  Checks a given JNDI entry if it is a valid JMX Connector
  Parameters:
    `pName` - JNDI Name of the entry to test for
    `pClass` - Class of the entry
  Returns:
    Connector Name instance if valid otherwise null

Copyright © 2000 The JBoss Organization. All Rights Reserved.